## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMStringGreaterThanOrEqualFunction Struct Reference

Greater than or equal functor for DOMStrings. More...

`#include <DOMStringHelper.hpp>`

Inheritance diagram for DOMStringGreaterThanOrEqualFunction:

[legend]
Collaboration diagram for DOMStringGreaterThanOrEqualFunction:

[legend]
List of all members.

## Public Methods

- result_type operator() (first_argument_type theLHS, second_argument_type theRHS) const

## Detailed Description

Greater than or equal functor for DOMStrings.

Parameters:

  theLHS | first string to compare
  theRHS | second string to compare

Returns:
  true if the theLHS is greater than or equal to theRHS

## Member Function Documentation

result_type DOMStringGreaterThanOrEqualFunction::operator() ( | first_argument_type theLHS,
| second_argument_type theRHS ) const

The documentation for this struct was generated from the following file:

- DOMStringHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.